package com.bonait.bnframework.modules.wmf.model;

import android.app.Dialog;
import android.content.Context;
import android.graphics.Point;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.Display;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.EditText;

import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;

import com.bonait.bnframework.R;

public class Choice_mt_model extends Dialog {
    public Choice_mt_model(Context context){
        super(context);
    }

    public Choice_mt_model(Context context,int theme){
        super(context,theme);
    }
    public Choice_mt_model(Context context,boolean cancelable,OnCancelListener cancelListener){
        super(context,cancelable,cancelListener);
    }

    /*build*/
    public static class Builder{
        EditText mt_name;

        Button update,on_sure,on_exit;

        RecyclerView src_mt;

        public View.OnClickListener mClickListener;

        public Mt_info mtInfo;

        private Choice_mt_model choiceMtModel;

        public Builder(Mt_info mtInfo, View.OnClickListener onClickListener){
            this.mtInfo = mtInfo;
            this.mClickListener = onClickListener;
        }

        View view;

        public void Builder(Context context){
            choiceMtModel = new Choice_mt_model(context,R.layout.choice_mt_user);
            LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            view  = inflater.inflate(R.layout.choice_mt_user, null, false);
            choiceMtModel.addContentView(view,new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT,ViewGroup.LayoutParams.WRAP_CONTENT));
            mt_name =(EditText) view.findViewById(R.id.src_name);
            update = (Button) view.findViewById(R.id.src_update);
            on_sure = (Button) view.findViewById(R.id.src_on_sure);
            on_exit = (Button) view.findViewById(R.id.src_on_exit);
            src_mt = (RecyclerView) view.findViewById(R.id.src_mt);
            mt_name.setText(mtInfo.mt_name);
            mt_name.addTextChangedListener(new TextWatcher() {
                @Override
                public void beforeTextChanged(CharSequence charSequence, int i, int i1, int i2) {

                }

                @Override
                public void onTextChanged(CharSequence charSequence, int i, int i1, int i2) {
                    if (mt_name.getText()!=null||mt_name.getText().length()!=0){
                        mtInfo.mt_name = mt_name.getText().toString();
                    }

                }

                @Override
                public void afterTextChanged(Editable editable) {

                    if (mt_name.getText()!=null||mt_name.getText().length()!=0){
                        mtInfo.mt_name = mt_name.getText().toString();
                    }

                }
            });
            on_sure.setOnClickListener(mClickListener);
            on_exit.setOnClickListener(mClickListener);
            update.setOnClickListener(mClickListener);

        }

        public Choice_mt_model create(){
            StaggeredGridLayoutManager linearLayoutManager = new StaggeredGridLayoutManager(3, StaggeredGridLayoutManager.VERTICAL);
            src_mt.setLayoutManager(linearLayoutManager);
            Mt_recipe_set src = new Mt_recipe_set(mtInfo.mtRecipeModels);
            src_mt.setAdapter(src);
            choiceMtModel.setContentView(view);
            Window window = choiceMtModel.getWindow();
            WindowManager.LayoutParams params = window.getAttributes();
            Point point = new Point();
            Display p = window.getWindowManager().getDefaultDisplay();
            p.getSize(point);
            params.width = (int)(point.x*0.8);
            params.height = (int)(point.y*0.8);

            choiceMtModel.setCancelable(true);
            choiceMtModel.setCanceledOnTouchOutside(false);
            return choiceMtModel;
        }


    }




}
